# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "advia560"


def test_decode_result(self):
    worklist = self.decode(
        """
    MSH|$~\\&|Advia560$XYZ_ID||||20160504125355||ORU$R01|AS_378_A560|P|2.5|28461
    OBR|1||12345678$LAB|88304
    OBX|1|TX|WBC||50,86|$10^3|3-15||||P
    OBX|2|TX|RBC||30|$10^6|3,5-5,5||||P
    OBX|3|TX|PLT||140|$10^3|50-400||||P
    OBX|4|TX|HGB||10,6|$g/l|120-174||||P
    OBX|5|TX|LYM||1|$10^3|1-3,7||||P
    OBX|6|TX|MON||0,2|$10^3|0-0,7||||P
    OBX|7|TX|NEU||80|$10^3|1,5-7||||P
    OBX|8|TX|EO||20|$10^3|0-0,5||||P
    OBX|9|TX|BAS||0|$10^3|0-0,15||||P
    """
    )
    date = datetime.datetime(2016, 5, 4, 12, 53, 55)
    expected = {
        "context": "result",
        "samples": [
            {
                "type": "patient",
                "sample_id": "12345678",
                "results": [
                    {"code": "WBC", "value": "50.86", "date": date},
                    {"code": "RBC", "value": "30", "date": date},
                    {"code": "PLT", "value": "140", "date": date},
                    {"code": "HGB", "value": "10.6", "date": date},
                    {"code": "LYM", "value": "1", "date": date},
                    {"code": "MON", "value": "0.2", "date": date},
                    {"code": "NEU", "value": "80", "date": date},
                    {"code": "EO", "value": "20", "date": date},
                    {"code": "BAS", "value": "0", "date": date},
                ],
            }
        ],
    }
    assert worklist == expected
