# -*- coding: utf8 -*-

from __future__ import unicode_literals

from driverng.tests import BaseTest


class TestProtocolDimension(BaseTest):
    PROTOCOL_CLASS = "dimension"

    def test_recv(self):
        self.assertRecvMessageEqual(
            """
            recv <stx>R<fs>0<fs>VERSE<fs>580203311118<fs>1<fs><fs>0<fs>474817310314<fs>1<fs>1<fs>2<fs>EZCR<fs>8.8<fs>mg/L<fs><fs>RCRP<fs>2.2<fs>mg/L<fs><fs><fs>31<etx>
            send <ack>
            send <stx>M<fs>A31<etx>
            recv <ack>
            """,
            """R\x1c0\x1cVERSE\x1c580203311118\x1c1\x1c\x1c0\x1c474817310314\x1c1\x1c1\x1c2\x1cEZCR\x1c8.8\x1cmg/L\x1c\x1cRCRP\x1c2.2\x1cmg/L\x1c\x1c\x1c""",
        )

    def test_send(self):
        self.assertSendMessageEqual(
            """D\x1c0\x1c0\x1cA\x1cSAULEAU\x1c580204011021\x1c1\x1c\x1c0\x1c1\x1c\x1c1\x1c11\x1cBUN\x1cNA\x1cK\x1cHIL\x1cGLUC\x1cRCRP\x1cEZCR\x1cCL\x1cURCA\x1cAST\x1cALTI""",
            """
            send <stx>D<fs>0<fs>0<fs>A<fs>SAULEAU<fs>580204011021<fs>1<fs><fs>0<fs>1<fs><fs>1<fs>11<fs>BUN<fs>NA<fs>K<fs>HIL<fs>GLUC<fs>RCRP<fs>EZCR<fs>CL<fs>URCA<fs>AST<fs>ALTI<fs>10<etx>
            recv <ack>
            """,
        )
