# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "qiagen"


def test_encode_order(self):
    message = self.order()
    expected = """
    MSH|^~\\&|MCA||QIAlink||20130715141912||OML^O21||P|2.4
    SAC|1||123456|||Serum
    ORC|NW
    OBR|1|||A
    ORC|NW
    OBR|1|||B
    """
    assert message == expected


def test_decode_result(self):
    worklist = self.decode(
        """
    MSH|^~\\&|QIAlink||LIMS||20121101171000||OUL^R21|476|P|2.4||||||UNICODE
    SAC|||12345678|||BLD
    OBR|1|||HIV|||20121101165505||||||||||||||||||F|||||||||testuser
    OBX|1|NM|HIV||5.00E-01|copies/ml|||||F
    SAC|||12345678|||BLD
    OBR|1|||HCV|||20121101165505||||||||||||||||||F|||||||||testuser
    OBX|1|NM|HCV||4.00E+02||||||F
    """
    )
    date = datetime.datetime(2012, 11, 1, 16, 55, 5)
    expected = {
        "context": "result",
        "samples": [
            {
                "results": [
                    {"code": "HIVcopies/ml", "value": "5.00E-01", "date": date},
                    {"code": "HCV", "value": "4.00E+02", "date": date},
                ],
                "sample_id": "12345678",
                "type": "patient",
            }
        ],
    }
    assert worklist == expected
